MRAdmin (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred.tools
Class MRAdmin

    java.lang.Object
      org.apache.hadoop.conf.Configured
          org.apache.hadoop.mapred.tools.MRAdmin

All Implemented Interfaces:
  Configurable, Tool

    public class MRAdmin

extends Configured
implements Tool

Administrative access to Hadoop Map-Reduce. Currently it only provides the ability to connect to the `JobTracker` and 1) refresh the service-level authorization policy, 2) refresh queue acl properties.

Constructor Summary
`MRAdmin()`
`MRAdmin(Configuration conf)`

Method Summary
`static void` | `main(String[] args)`
`int` | `refreshSuperUserGroupsConfiguration()` refreshSuperUserGroupsConfiguration `JobTracker`.
`int` | `run(String[] args)` Execute the command with the given arguments.

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.conf.Configurable
`getConf, setConf`

Constructor Detail

### MRAdmin

    public MRAdmin()

### MRAdmin

    public MRAdmin(Configuration conf)

Method Detail

### refreshSuperUserGroupsConfiguration

    public int refreshSuperUserGroupsConfiguration()
                                            throws IOException

  refreshSuperUserGroupsConfiguration `JobTracker`.

  Returns:
    exitcode 0 on success, non-zero on failure
  Throws:
    `IOException`

### run

    public int run(String[] args)
            throws Exception

  Description copied from interface: `Tool`
  Execute the command with the given arguments.

  Specified by:
    `run` in interface `Tool`
  Parameters:
    `args` - command specific arguments.
  Returns:
    exit code.
  Throws:
    `Exception`

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation